/* 
 * File:   MechanismRate.h
 * Author: nl0st
 *
 * Created on July 31, 2014, 12:30 PM
 */

#ifndef MECHANISMRATE_H
#define	MECHANISMRATE_H
#include <string>

#include "wifi-phy.h"  

namespace ns3{
    
    class MechanismRate {
    private:

        WifiMode rate;

        double snr;
    public:
        MechanismRate();
        MechanismRate(WifiMode rate, double snr);

        WifiMode GetRate();

        double GetSnr();

    };
}
#endif	/* MECHANISMRATE_H */

